### Signal

# RB TrackTransferQueue::transfer-progress

#### Declaration

    void
    transfer_progress (
      RBTrackTransferQueue* self,
      gint done,
      gint total,
      gdouble fraction,
      gint time_left,
      gpointer user_data
    )

#### Description [src]

Emitted regularly to convey progress information. At the end of any given transfer batch, there will be one signal emission with `done` == `total` and `fraction` == 1.0.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`done`

  Type: `gint`

  The number of entries transferred.

`total`

  Type: `gint`

  The total number of entries in the batch.

`fraction`

  Type: `gdouble`

  The fraction of the batch that has been transferred.

`time_left`

  Type: `gint`

  The estimated remaining time (in seconds).